Bug 11356 - PIDL produces header file comments with different order using new Perl versions
PIDL produces header file comments with different order using new Perl versions
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-23 07:04 UTC by Andreas Schneider
Modified: 2015-07-05 19:10 UTC (History)
2 users (show)

See Also:


Attachments
v4-2-test patch (8.43 KB, patch)
2015-06-23 07:05 UTC, Andreas Schneider
metze: review+
ab: review+
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2015-06-23 07:04:05 UTC
PIDL produces header file comments with different order using new Perl versions. This results on header file which differ and packaging tools like RPM have issues if the 32bit and 64bit header files differ during installation ...

Patch follows ...
Comment 1 Andreas Schneider 2015-06-23 07:05:00 UTC
Created attachment 11186 [details]
v4-2-test patch
Comment 2 Guenther Deschner 2015-06-23 07:28:23 UTC
Comment on attachment 11186 [details]
v4-2-test patch

Looks good to me.
Comment 3 Alexander Bokovoy 2015-06-23 08:09:54 UTC
Comment on attachment 11186 [details]
v4-2-test patch

Looks good to me too
Comment 4 Karolin Seeger 2015-06-29 20:12:02 UTC
Pushed to autobuild-v4-2-test.
Comment 5 Karolin Seeger 2015-07-05 19:10:02 UTC
(In reply to Karolin Seeger from comment #4)
Pushed.
Closing out bug report.

Thanks!